<?php

include('../functions.php');

$fin = fopen('rausfaller_2018_06_11.csv', 'r');

if(null === $fin) {
    die('Could not open file');
}

while ($line = fgets($fin))
{
    $user = null;
    $versnummerneu = trim($line);
    // function __construct($versnummer = '0', $id = 0, $del = 0, $rechtskreis = '', $versnummerneu = '')
    $user = new User('',0,1,'',$versnummerneu);
    if ($user->userId !== null) {
        if ($user->versnummerneu != $versnummerneu) {
            print "$versnummerneu stimmt nicht mit " . $user->versnummerneu .
            " überein.\n";
            exit;
        }
        $user->deleteUser(1);
        $user->passwort = '1234&$%§&JjJ';
        $user->updateUserData();
        print "Undeleted: $versnummerneu\n";
    } else {
        print "not found: $versnummerneu\n";
    }
}

